Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP

From: Andy Moreton <[email-masked]>
Date: Sun, 07 Nov 2021 10:43:31 +0000

On Sun 07 Nov 2021, Eli Zaretskii wrote:

>> From: Dmitry Gutov <[email-masked]>
>> Date: Sun, 7 Nov 2021 03:11:43 +0300
>> 
>> Failing that, I think we'll need to change the "literal pathspecs" 
>> implementation to yet another approach (adding --literl-pathspecs flag 
>> instead of manipulating file names). It comes with the same general 
>> drawbacks as the env var (which is used under the hood), but the 
>> explicit approach of specifying it in every command would avoid the 
>> problem of my original fix for that bug.
>
> Why wasn't --literal-pathspecs used in the first place? what are the
> downsides?  IME, using magic file names is always worse, because it
> can run afoul of various shells that consider some characters special.

Indeed. I agree it is much simpler to use the flag.

    AndyM